aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gmail.com>2015-06-04 17:29:37 +0300
committerAndrew Savchenko <bircoph@gmail.com>2015-06-04 17:29:37 +0300
commit12181b123225975e99552499f014f7023581a9a5 (patch)
tree8595e308737c6c83f8e8922e7e7c1af1c79ec0b2 /sci-physics/pythia
parentMerge remote-tracking branch 'github/master' (diff)
downloadsci-12181b123225975e99552499f014f7023581a9a5.tar.gz
sci-12181b123225975e99552499f014f7023581a9a5.tar.bz2
sci-12181b123225975e99552499f014f7023581a9a5.zip
sci-physics/pythia: fix most tests
Diffstat (limited to 'sci-physics/pythia')
-rw-r--r--sci-physics/pythia/ChangeLog3
-rw-r--r--sci-physics/pythia/pythia-8.2.09.ebuild37
2 files changed, 31 insertions, 9 deletions
diff --git a/sci-physics/pythia/ChangeLog b/sci-physics/pythia/ChangeLog
index a7f58ca10..a284d84bb 100644
--- a/sci-physics/pythia/ChangeLog
+++ b/sci-physics/pythia/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/pythia/ChangeLog,v 1.62 2015/05/27 14:06:39 bircoph Exp $
+ 04 Jun 2015; Andrew Savchenko <bircoph@gentoo.org> pythia-8.2.09.ebuild:
+ Fix some tests.
+
*pythia-8.2.09 (03 Jun 2015)
03 Jun 2015; Andrew Savchenko <bircoph@gentoo.org> +pythia-8.2.09.ebuild,
diff --git a/sci-physics/pythia/pythia-8.2.09.ebuild b/sci-physics/pythia/pythia-8.2.09.ebuild
index 51c7fce36..61b8435b6 100644
--- a/sci-physics/pythia/pythia-8.2.09.ebuild
+++ b/sci-physics/pythia/pythia-8.2.09.ebuild
@@ -44,10 +44,14 @@ src_prepare() {
-e "s:-O2:${CXXFLAGS}:g" \
-e "s:Cint:Core:g" \
configure || die
- # fix root builds
+ # we use lhapdf6 instead of lhapdf5
sed -i \
- -e "s:root-config:root-config --cflags:g" \
- examples/Makefile || die
+ -e "s:LHAPDF5:LHAPDF6:g" \
+ -e "s:\.LHgrid::g" \
+ -e "s:\.LHpdf::g" \
+ examples/*.{cc,cmnd} || die
+ # ask cflags from root
+ sed -i "s:root-config:root-config --cflags:g" examples/Makefile || die
# if ! use static-libs; then
# sed -i \
# -e '/targets.*=$(LIBDIR.*\.a$/d' \
@@ -87,20 +91,35 @@ src_configure() {
src_test() {
cd examples || die
- local tests="$(echo main{{01..33},37,38,{51..54},61,62,73,80})" t
- use hepmc && tests+=" $(echo main{{41..43},{85..89}})"
+ local tests="$(echo main{{01..32},37,38,51,52,54,61,62,73,80})" t
+ use hepmc && tests+=" $(echo main{41,42,85,86})"
+ use hepmc && use lhapdf && tests+=" $(echo main{43,{87..89}})"
+ use lhapdf && tests+=" $(echo main{51..54})"
use fastjet && tests+=" $(echo main{71,72})"
- use fastjet && use hepmc && tests+=" $(echo main{81..84})"
- use root && tests+=" $(echo main{91,92})"
+ use fastjet && use hepmc && use lhapdf && tests+=" $(echo main{81..84})"
+ use root && tests+=" main91"
+ # Disabled tests:
+ # 33 needs PowHEG
+ # 46 needs ProMC
+ # 48 needs EvtGen
+ # 92 generated ROOT dictionary is badly broken
+
+ # some tests need arguments
+ local -a args
+ args[16]="main16.cmnd"
+ args[42]="main42.cmnd hepmcout42.dat"
+ args[43]="main43.cmnd hepmcout43.dat"
# use emake for parallel instead of long runmains
emake ${tests}
for t in ${tests}; do
+ einfo "Running test ${t}..."
LD_LIBRARY_PATH="${S}/$(get_libdir):${LD_LIBRARY_PATH}" \
- bin/${t}.exe > ${t}.out || die "test ${t} failed"
+ PYTHIA8DATA="../share/Pythia8/xmldoc/" \
+ ./"${t}" ${args[t]} > "${t}.out" || die "test ${t} failed"
done
emake clean
- rm main*out || die
+ rm main*.out *.dat || die
}
src_install() {